<!--<?xml version="1.0" encoding="UTF-8" ?>-->


<!--<!DOCTYPE configuration-->
<!--        PUBLIC "-//mybatis.org//DTD Config 3.0//EN"-->
<!--        "http://mybatis.org/dtd/mybatis-3-config.dtd">-->

<!--<configuration>-->
<!--    &lt;!&ndash;<settings>&ndash;&gt;-->
<!--        &lt;!&ndash;输出日志&ndash;&gt;-->
<!--        &lt;!&ndash;<setting name="logImpl" value="STDOUT_LOGGING" />&ndash;&gt;-->
<!--    &lt;!&ndash;</settings>&ndash;&gt;-->

<!--    <typeHandlers>-->
<!--        &lt;!&ndash;<typeHandler jdbcType="INTEGER" javaType="java.lang.Integer" handler="cn.sagacloud.utils.typeHandler.NullToZero"/>&ndash;&gt;-->
<!--    </typeHandlers>-->

<!--    <environments default="development">-->
<!--        <environment id="development">-->
<!--            <transactionManager type="JDBC">-->
<!--            </transactionManager>-->

<!--&lt;!&ndash;            mysql config&ndash;&gt;-->
<!--&lt;!&ndash;            <dataSource type="POOLED">&ndash;&gt;-->
<!--&lt;!&ndash;                &lt;!&ndash;<property name="driver" value="com.mysql.jdbc.Driver"/>&ndash;&gt;&ndash;&gt;-->
<!--&lt;!&ndash;                <property name="driver" value="com.mysql.cj.jdbc.Driver"/>&ndash;&gt;-->
<!--&lt;!&ndash;                &lt;!&ndash;<property name="url" value="jdbc:mysql://101.201.234.108:3306/venders?serverTimezone=UTC"/>&ndash;&gt;&ndash;&gt;-->
<!--&lt;!&ndash;                &lt;!&ndash;<property name="url" value="jdbc:mysql://172.16.3.12:3306/venders?serverTimezone=UTC"/>&ndash;&gt;&ndash;&gt;-->
<!--&lt;!&ndash;                <property name="url" value="jdbc:mysql://127.0.0.1:3306/scheduler?serverTimezone=UTC"/>&ndash;&gt;-->
<!--&lt;!&ndash;                &lt;!&ndash;<property name="username" value="pbsage"/>&ndash;&gt;&ndash;&gt;-->
<!--&lt;!&ndash;                <property name="username" value="root"/>&ndash;&gt;-->
<!--&lt;!&ndash;                <property name="password" value="123456"/>&ndash;&gt;-->
<!--&lt;!&ndash;            </dataSource>&ndash;&gt;-->

<!--&lt;!&ndash;            postgresql config&ndash;&gt;-->
<!--            <dataSource type="POOLED">-->
<!--                <property name="driver" value="org.postgresql.Driver"/>-->
<!--                &lt;!&ndash;<property name="url" value="jdbc:mysql://101.201.234.108:3306/venders?serverTimezone=UTC"/>&ndash;&gt;-->
<!--                &lt;!&ndash;                <property name="url" value="jdbc:mysql://192.168.20.235:3306/venders?serverTimezone=UTC"/>&ndash;&gt;-->
<!--                <property name="url" value="jdbc:postgresql://192.168.20.235:5432/datacenter?serverTimezone=UTC"/>-->
<!--                &lt;!&ndash;<property name="url" value="jdbc:mysql://localhost:3306/venders?serverTimezone=UTC"/>&ndash;&gt;-->
<!--                &lt;!&ndash;<property name="username" value="pbsage"/>&ndash;&gt;-->
<!--                <property name="username" value="postgres"/>-->
<!--                <property name="password" value="123456"/>-->
<!--            </dataSource>-->
<!--        </environment>-->
<!--    </environments>-->

<!--    <mappers>-->
<!--        <mapper resource="mapper/TaskMap.xml"/>-->
<!--    </mappers>-->


<!--</configuration>-->